3.2.18+grsecurity-2.9-3.2.18-201205271952.patch error

Discuss and suggest new grsecurity features

Moderators: spender, PaX Team

3.2.18+grsecurity-2.9-3.2.18-201205271952.patch error

Postby Troppauer » Tue May 29, 2012 3:02 am

Hi,

The current kernel+grsecurity-2.9-3.2.18-201205271952.patch has an error message:

...
warning, your gcc version does not support plugins, you should upgrade it to gcc 4.5 at least
PAX_MEMORY_STACKLEAK and other features will be less secure
make[3]: *** No rule to make target `/usr/src/linux-3.2.18/include/linux/version.h', needed by `/usr/src/linux-3.2.18/usr/include/linux/.install'. Stop.
make[2]: *** [linux] Error 2
make[1]: *** [headers_install] Error 2
make: *** [vmlinux] Error 2
....

The previous subrelease of Grsec (the first patch for 3.2.18) has done.

Regards
Hal
Troppauer
 
Posts: 11
Joined: Tue Sep 14, 2010 3:27 am
Location: Hungary

Re: 3.2.18+grsecurity-2.9-3.2.18-201205271952.patch error

Postby PaX Team » Tue May 29, 2012 4:18 am

Troppauer wrote:make[3]: *** No rule to make target `/usr/src/linux-3.2.18/include/linux/version.h', needed by `/usr/src/linux-3.2.18/usr/include/linux/.install'. Stop.
make[2]: *** [linux] Error 2
make[1]: *** [headers_install] Error 2
how do you build your kernel? 'make headers_install' works for me here.
PaX Team
 
Posts: 2310
Joined: Mon Mar 18, 2002 4:35 pm

Re: 3.2.18+grsecurity-2.9-3.2.18-201205271952.patch error

Postby Troppauer » Tue May 29, 2012 5:10 am

Under Debian squeeze amd64

classical :)

get from kernel.org linux-3.2.18.tar.bz2
tar -xf linux-3.2.18.tar.bz2
patch with grsecurity-2.9-3.2.18-201205271952.patch
make clean; make bzImage; make modules modules_install

if i try with 3.2.17 and grsecurity-2.9-3.2.17-201205191125.patch same .config, then all done

Regards,
Hal
Troppauer
 
Posts: 11
Joined: Tue Sep 14, 2010 3:27 am
Location: Hungary

Re: 3.2.18+grsecurity-2.9-3.2.18-201205271952.patch error

Postby PaX Team » Tue May 29, 2012 5:26 am

Troppauer wrote:make clean
try make mrproper instead (beware, save your .config beforehand).
PaX Team
 
Posts: 2310
Joined: Mon Mar 18, 2002 4:35 pm

Re: 3.2.18+grsecurity-2.9-3.2.18-201205271952.patch error

Postby Troppauer » Tue May 29, 2012 5:38 am

Actually, i always create empty bsd jail for kernel build, so i think not need to try make mrproper.

Not need make mrproper before.

Regards,
Hal
Troppauer
 
Posts: 11
Joined: Tue Sep 14, 2010 3:27 am
Location: Hungary

Re: 3.2.18+grsecurity-2.9-3.2.18-201205271952.patch error

Postby Troppauer » Tue May 29, 2012 5:55 am

Sorry, not bsd jail, chroot jail :)
Troppauer
 
Posts: 11
Joined: Tue Sep 14, 2010 3:27 am
Location: Hungary

Re: 3.2.18+grsecurity-2.9-3.2.18-201205271952.patch error

Postby PaX Team » Tue May 29, 2012 6:24 am

Troppauer wrote:Actually, i always create empty bsd jail for kernel build, so i think not need to try make mrproper.

Not need make mrproper before.
oh, i can reproduce it now (i had the old version.h lying around), and i'll fix it in the next patch.
PaX Team
 
Posts: 2310
Joined: Mon Mar 18, 2002 4:35 pm

Re: 3.2.18+grsecurity-2.9-3.2.18-201205271952.patch error

Postby Troppauer » Tue May 29, 2012 6:41 am

ok, thanks :)
Troppauer
 
Posts: 11
Joined: Tue Sep 14, 2010 3:27 am
Location: Hungary


Return to grsecurity development

cron